AWS IoT Device SDK C++ v2: Aws::Crt::Imds::InstanceInfoView Struct Reference

AWS IoT Device SDK C++ v2 1.14.0 AWS IoT Device SDK C++ v2

Public Attributes | List of all members
Aws::Crt::Imds::InstanceInfoView Struct Reference

`#include <ImdsClient.h>`

## Public Attributes
Vector< StringView > | marketplaceProductCodes
StringView | availabilityZone
StringView | privateIp
StringView | version
StringView | instanceId
Vector< StringView > | billingProducts
StringView | instanceType
StringView | accountId
StringView | imageId
DateTime | pendingTime
StringView | architecture
StringView | kernelId
StringView | ramdiskId
StringView | region

## Detailed Description

Block of per-instance EC2-specific data

https://docs.aws.amazon.com/AWSEC2/latest/UserGuide/instance-identity-documents.html

## Member Data Documentation

## ◆ accountId

StringView Aws::Crt::Imds::InstanceInfoView::accountId

## ◆ architecture

StringView Aws::Crt::Imds::InstanceInfoView::architecture

## ◆ availabilityZone

StringView Aws::Crt::Imds::InstanceInfoView::availabilityZone

## ◆ billingProducts

Vector<StringView> Aws::Crt::Imds::InstanceInfoView::billingProducts

## ◆ imageId

StringView Aws::Crt::Imds::InstanceInfoView::imageId

## ◆ instanceId

StringView Aws::Crt::Imds::InstanceInfoView::instanceId

## ◆ instanceType

StringView Aws::Crt::Imds::InstanceInfoView::instanceType

## ◆ kernelId

StringView Aws::Crt::Imds::InstanceInfoView::kernelId

## ◆ marketplaceProductCodes

Vector<StringView> Aws::Crt::Imds::InstanceInfoView::marketplaceProductCodes

## ◆ pendingTime

DateTime Aws::Crt::Imds::InstanceInfoView::pendingTime

## ◆ privateIp

StringView Aws::Crt::Imds::InstanceInfoView::privateIp

## ◆ ramdiskId

StringView Aws::Crt::Imds::InstanceInfoView::ramdiskId

## ◆ region

StringView Aws::Crt::Imds::InstanceInfoView::region

## ◆ version

StringView Aws::Crt::Imds::InstanceInfoView::version

The documentation for this struct was generated from the following file:

- crt/aws-crt-cpp/include/aws/crt/ImdsClient.h